
Strong crypto support for PySNMP
--------------------------------
[![PyPI](https://img.shields.io/pypi/v/pysnmpcrypto.svg?maxAge=2592000)](https://pypi.org/project/pysnmpcrypto)
[![Python Versions](https://img.shields.io/pypi/pyversions/pysnmpcrypto.svg)](https://pypi.org/project/pysnmpcrypto/)
[![GitHub license](https://img.shields.io/badge/license-BSD-blue.svg)](https://raw.githubusercontent.com/lextudio/pysnmpcrypto/master/LICENSE.rst)

The `pysnmpcrypto` package is an optional extension to SNMP library for
Python [pysnmp](http://snmplabs.com/pysnmp/) 6.0+. The `pysnmpcrypto` library
provides stronger authentication and encryption features to the SNMP library
by way of invoking stronger crypto algorithms.

The `pysnmpcrypto` library runs on Python 3.8+ and has a dependency
on [Cryptography](https://github.com/pyca/cryptography).

The `pysnmpcrypto` package is distributed under terms and conditions of the
2-clause [BSD license](http://snmplabs.com/pysnmpcrypto/license.html).

Download & Install
------------------

The `pysnmpcrypto` package is freely available for download from
[PyPI](https://pypi.org/project/pysnmpcrypto)
and [GitHub](https://github.com/lextudio/pysnmpcrypto).

Just run:

```bash
$ pip install pysnmp pysnmpcrypto
```

to download and install both `pysnmp` and `pysnmpcrypto`.

Documentation
-------------

The `pysnmpcrypto` library does not expose any user-intended API. Documentation
and usage examples on the `pysnmp` library use can be found at the
[pysnmp project site](https://www.pysnmp.com/pysnmp/).

If something does not work as expected with `pysnmpcrypto`, please
[open an issue](https://github.com/lextudio/pysnmp/issues) at GitHub.

Copyright (c) 2018-2019, Ilya Etingof. All rights reserved.
Copyright (c) 2024, [LeXtudio Inc](mailto:support@lextudio.com).
Copyright (c) 2018-2024, [Other contributors](https://github.com/lextudio/pysnmpcrypto/AUTHORS.txt).
